 /*
  Lab 2: Toggle LED with a Tact Switch Input
  Internal Oscillator @ 4MHz, MCLR Enabled, PWRT Enabled, WDT OFF
  Copyright @ Rajendra Bhatt
  Oct 8, 2010
 */
 // Define LED @ RC0 and Tact switch @ RC1
 sbit LED at RC0_bit;
 sbit Switch at RC1_bit;
 #define Switch_Pin 1
 #define Switch_Port PORTC
 #define Debounce_Time 20
 void main() {
 ANSEL = 0b00000000; //All I/O pins are configured as digital
 CMCON0 = 0x07 ; // Disbale comparators
 TRISC = 0b00000010; // PORTC All Outputs
 TRISA = 0b00001000; // PORTA All Outputs, Except RA3
 LED = 0;
 do {
  if (Button(&Switch_Port, Switch_Pin, Debounce_Time, 0)) {
    if (!Switch) {
    LED = ~LED;
    }
    while (!Switch); // Wait for release of the button
  }
 } while(1);  // Infinite Loop
}